Page MenuHomePhabricator

Request increased quota for Wikidocumentaries Cloud VPS project
Closed, DeclinedPublic

Description

Project Name: Wikidocumentaries
Type of quota increase requested: RAM
Amount of quota increase: Double
Reason:
We are working on upgrading an earlier version of Wikibase in the Wikidocumentaries VPS (roope). We are running out of memory while restarting the Docker.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2019, 1:16 PM
Andrew added a subscriber: Andrew.Jan 29 2019, 6:13 PM

Two things here:

  1. Can you give more specific numbers about how many Gb of RAM you need, ultimately?
  1. It looks like you want to build a 'large' size VM in order to replace an existing 'medium' size instance. If that's right, you'd only need a temporary quota bump until the old medium VM is deleted. Does that sound right? Temporary quota bumps are a lot easier to approve than permanent ones :)

Thanks for helping!

  1. Can you give more specific numbers about how many Gb of RAM you need, ultimately?
  2. It looks like you want to build a 'large' size VM in order to replace an existing 'medium' size instance. If that's right, you'd only need a temporary quota bump until the old medium VM is deleted. Does that sound right? Temporary quota bumps are a lot easier to approve than permanent ones :)

We need the two large machines permanently: one for dev/test (roope) and one for production (hupu). Both machines need 8 Gb of RAM, because we build on Wikibase which depends on memory-heavy components (mariadb, blazegraph and elasticsearch). Hupu already has 8 Gb.

We're hoping you could shut down roope, up the RAM to 8 Gb and restart it. If that's not possible, roope could be destroyed and recreated, and we would rebuild the installation.

Andrew added a comment.Feb 1 2019, 9:17 PM

It's not possible to resize an existing VM. Your project quota is 16Gb already, though, which is enough for two m1.large sized instances. So do you need a quota adjustment at all? It looks like if you delete roope you will already have space to create another large VM.

bd808 changed the task status from Open to Stalled.Feb 18 2019, 5:53 AM
bd808 added a subscriber: bd808.

Marking as stalled until @Susannaanas or @TuukkaH respond to T214907#4921971

bd808 closed this task as Declined.May 21 2019, 11:57 PM

Closed for inactivity. Please re-open when you can answer the questions in T214907#4921971

It's not possible to resize an existing VM.

(note in case someone stumbles across this: since this comment was written, https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/Resizing_instances was made, though the process does require manual intervention by ops. The rest of Andrew's comment still applies here).